/*
 * generated by Xtext 2.12.0
 */
package fr.n7.ide.contentassist.antlr;

import com.google.inject.Inject;
import fr.n7.ide.contentassist.antlr.internal.InternalPDL3Parser;
import fr.n7.services.PDL3GrammarAccess;
import java.util.HashMap;
import java.util.Map;
import org.eclipse.xtext.AbstractElement;
import org.eclipse.xtext.ide.editor.contentassist.antlr.AbstractContentAssistParser;

public class PDL3Parser extends AbstractContentAssistParser {

	@Inject
	private PDL3GrammarAccess grammarAccess;

	private Map<AbstractElement, String> nameMappings;

	@Override
	protected InternalPDL3Parser createParser() {
		InternalPDL3Parser result = new InternalPDL3Parser(null);
		result.setGrammarAccess(grammarAccess);
		return result;
	}

	@Override
	protected String getRuleName(AbstractElement element) {
		if (nameMappings == null) {
			nameMappings = new HashMap<AbstractElement, String>() {
				private static final long serialVersionUID = 1L;
				{
					put(grammarAccess.getProcessElementAccess().getAlternatives(), "rule__ProcessElement__Alternatives");
					put(grammarAccess.getEStringAccess().getAlternatives(), "rule__EString__Alternatives");
					put(grammarAccess.getWorkSequenceTypeAccess().getAlternatives(), "rule__WorkSequenceType__Alternatives");
					put(grammarAccess.getProcessAccess().getGroup(), "rule__Process__Group__0");
					put(grammarAccess.getProcessAccess().getGroup_4(), "rule__Process__Group_4__0");
					put(grammarAccess.getProcessAccess().getGroup_4_3(), "rule__Process__Group_4_3__0");
					put(grammarAccess.getWorkDefinitionAccess().getGroup(), "rule__WorkDefinition__Group__0");
					put(grammarAccess.getWorkDefinitionAccess().getGroup_4(), "rule__WorkDefinition__Group_4__0");
					put(grammarAccess.getWorkDefinitionAccess().getGroup_4_3(), "rule__WorkDefinition__Group_4_3__0");
					put(grammarAccess.getWorkDefinitionAccess().getGroup_5(), "rule__WorkDefinition__Group_5__0");
					put(grammarAccess.getWorkDefinitionAccess().getGroup_5_3(), "rule__WorkDefinition__Group_5_3__0");
					put(grammarAccess.getWorkDefinitionAccess().getGroup_6(), "rule__WorkDefinition__Group_6__0");
					put(grammarAccess.getWorkDefinitionAccess().getGroup_6_3(), "rule__WorkDefinition__Group_6_3__0");
					put(grammarAccess.getWorkSequenceAccess().getGroup(), "rule__WorkSequence__Group__0");
					put(grammarAccess.getGuidanceAccess().getGroup(), "rule__Guidance__Group__0");
					put(grammarAccess.getGuidanceAccess().getGroup_3(), "rule__Guidance__Group_3__0");
					put(grammarAccess.getGuidanceAccess().getGroup_4(), "rule__Guidance__Group_4__0");
					put(grammarAccess.getGuidanceAccess().getGroup_4_3(), "rule__Guidance__Group_4_3__0");
					put(grammarAccess.getRessourceAccess().getGroup(), "rule__Ressource__Group__0");
					put(grammarAccess.getRessourceAccess().getGroup_5(), "rule__Ressource__Group_5__0");
					put(grammarAccess.getRessourceAccess().getGroup_5_3(), "rule__Ressource__Group_5_3__0");
					put(grammarAccess.getAllocationRessourceAccess().getGroup(), "rule__AllocationRessource__Group__0");
					put(grammarAccess.getEIntAccess().getGroup(), "rule__EInt__Group__0");
					put(grammarAccess.getProcessAccess().getNameAssignment_2(), "rule__Process__NameAssignment_2");
					put(grammarAccess.getProcessAccess().getProcessElementAssignment_4_2(), "rule__Process__ProcessElementAssignment_4_2");
					put(grammarAccess.getProcessAccess().getProcessElementAssignment_4_3_1(), "rule__Process__ProcessElementAssignment_4_3_1");
					put(grammarAccess.getWorkDefinitionAccess().getNameAssignment_2(), "rule__WorkDefinition__NameAssignment_2");
					put(grammarAccess.getWorkDefinitionAccess().getLinksToPredecessorsAssignment_4_2(), "rule__WorkDefinition__LinksToPredecessorsAssignment_4_2");
					put(grammarAccess.getWorkDefinitionAccess().getLinksToPredecessorsAssignment_4_3_1(), "rule__WorkDefinition__LinksToPredecessorsAssignment_4_3_1");
					put(grammarAccess.getWorkDefinitionAccess().getLinksToSuccessorsAssignment_5_2(), "rule__WorkDefinition__LinksToSuccessorsAssignment_5_2");
					put(grammarAccess.getWorkDefinitionAccess().getLinksToSuccessorsAssignment_5_3_1(), "rule__WorkDefinition__LinksToSuccessorsAssignment_5_3_1");
					put(grammarAccess.getWorkDefinitionAccess().getAllocationressourceAssignment_6_2(), "rule__WorkDefinition__AllocationressourceAssignment_6_2");
					put(grammarAccess.getWorkDefinitionAccess().getAllocationressourceAssignment_6_3_1(), "rule__WorkDefinition__AllocationressourceAssignment_6_3_1");
					put(grammarAccess.getWorkSequenceAccess().getLinkTypeAssignment_3(), "rule__WorkSequence__LinkTypeAssignment_3");
					put(grammarAccess.getWorkSequenceAccess().getPredecessorAssignment_5(), "rule__WorkSequence__PredecessorAssignment_5");
					put(grammarAccess.getWorkSequenceAccess().getSuccessorAssignment_7(), "rule__WorkSequence__SuccessorAssignment_7");
					put(grammarAccess.getGuidanceAccess().getTextAssignment_3_1(), "rule__Guidance__TextAssignment_3_1");
					put(grammarAccess.getGuidanceAccess().getElementsAssignment_4_2(), "rule__Guidance__ElementsAssignment_4_2");
					put(grammarAccess.getGuidanceAccess().getElementsAssignment_4_3_1(), "rule__Guidance__ElementsAssignment_4_3_1");
					put(grammarAccess.getRessourceAccess().getNameAssignment_1(), "rule__Ressource__NameAssignment_1");
					put(grammarAccess.getRessourceAccess().getInstanceAssignment_4(), "rule__Ressource__InstanceAssignment_4");
					put(grammarAccess.getRessourceAccess().getPredecessorsAssignment_5_2(), "rule__Ressource__PredecessorsAssignment_5_2");
					put(grammarAccess.getRessourceAccess().getPredecessorsAssignment_5_3_1(), "rule__Ressource__PredecessorsAssignment_5_3_1");
					put(grammarAccess.getAllocationRessourceAccess().getNumAllocatedAssignment_3(), "rule__AllocationRessource__NumAllocatedAssignment_3");
					put(grammarAccess.getAllocationRessourceAccess().getRessourceAssignment_5(), "rule__AllocationRessource__RessourceAssignment_5");
				}
			};
		}
		return nameMappings.get(element);
	}
			
	@Override
	protected String[] getInitialHiddenTokens() {
		return new String[] { "RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT" };
	}

	public PDL3GrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(PDL3GrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
